{% extends 'base.html' %}
{% load static %}

{% block title %}
    {{ object }}
{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-3 text-center text-white" style="background-color:#052c65">
            <br>
            <br>
            <img src="{% static 'assignments_icon.png'%}" class="img-fluid" width="100" height="100">
            <br>
            <br>
            <h2>Assignments</h2>
            <h4 class="display-6" style="font-size:20px">Assignment Details</h4>
            <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
            <p>© Jenica e-Sports</p>
        </div>
        <div class="col-9 text-center">
            <div class="row p-5 text-center" style="background-color:#e3e4e6">
                <h1 class="display-3" style="font-size:50px; color:#052c65">{{ object.name }}</h1>
            </div>
            <br>
            <div class="row p-2" style="background-color:#e3e4e6">
                <h5 class="display-3" style="font-size:25px">{{ object.course.format_course }}</h5>
            </div>
            <br>
            <div class="row">
                <div class="col-5" style="text-align:right">
                    <h4 style="font-size:25px">Description: </h4>
                </div>
                <div class="col-7" style="text-align:left">
                    <h5 class="display-3" style="font-size:25px">{{ object.description }}</h5>
                </div>
            </div>
            <div class="row">
                <div class="col-5" style="text-align:right">
                    <h4 style="font-size:25px">Perfect Score: </h4>
                    <h4 style="font-size:25px">Passing Score: </h4>
                </div>
                <div class="col-7" style="text-align:left">
                    <h5 class="display-3" style="font-size:25px">{{ object.perfect_score }}</h5>
                    <h5 class="display-3" style="font-size:25px">{{ object.passing_score }}</h5>
                </div>
            </div>
            <br><br>
            <button type="button" class="btn" style="background-color:#e3e4e6">
                <a href="/assignments/{{object.pk}}/edit" class="link-dark">Edit Assignment</a>
            </button> &nbsp; &nbsp; 
            <button type="button" class="btn" style="background-color:#052c65">
                <a href="/assignments/" class="link-light">Back to Assignments</a>
            </button>
        </div>
    </div>
{% endblock %}